2021-08-31 22:14:32 UTC
43.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:4ed7d06bd90bc8d13b87220ccc6204a7d235ec943be9fb4289d856f9ff0a5b7b - 6.23% (2.69 MB)
[#001] sha256:e6960fd8cb66d36af23ee1c4d70738e348ff8b2dc6283d753d71435886945255 - 0.0% (1.23 KB)
[#002] sha256:b3f3baa00782777925a309f1449667075c18b2d618ed7c0667a67e1722071de0 - 93.76% (40.5 MB)
[#003] sha256:b69b5e7174845ef27bd8ebe88c5abbfecb79505836663f6c33bfa5630de23f1e - 0.0% (175 Bytes)
[#004] sha256:e4128a09a17f311c48761a8afb05df8a6e5ed8dc5f6b01b980bf61d3046be2af - 0.0% (155 Bytes)
[#005] sha256:faf176f6145a14f5a586702b1a9c594c5ce089f7f27d10e6f1de309c44533163 - 0.0% (1.66 KB)
/bin/sh -c #(nop) ADD file:fb9d541cffc3a5660d23426ba847aa696b59a9d7f14e00ba0a63b28c9ec272c0 in /
2021-08-31 21:23:29 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-08-31 22:13:58 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-08-31 22:14:21 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.8
2021-08-31 22:14:21 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.8
2021-08-31 22:14:21 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-08-31 22:14:22 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-08-31 22:14:29 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-08-31 22:14:30 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-08-31 22:14:31 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-08-31 22:14:31 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-08-31 22:14:31 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-08-31 22:14:31 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-08-31 22:14:32 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-08-31 22:14:32 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-08-31 22:14:32 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-08-31 22:14:32 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-07-23 12:50:29 UTC
44.1 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:540db60ca9383eac9e418f78490994d0af424aab7bf6d0e47ac8ed4e2e9bcbba - 6.08% (2.68 MB)
[#001] sha256:1f76215166e54053f91e087f5a3160cd21a34c6b57813d3a4e2631c8cd127f50 - 0.0% (1.23 KB)
[#002] sha256:b44e99d3c78a9289b48645fea3c7125101e1ab00b2b7ef496dd9f77a2e64223a - 93.92% (41.5 MB)
[#003] sha256:016a11d5b82044a80cd059e23a0518affdc87ca15281ae4a8518e3103b9574ea - 0.0% (176 Bytes)
[#004] sha256:78844cc5afba4bac56e78565001eaae6315e68605e18aaea429b25956257704a - 0.0% (154 Bytes)
[#005] sha256:bc080c1f2f03be33b72e89dc0efb4f689915d0cc4053fec0216d5a19e9ff5076 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:8ec69d882e7f29f0652d537557160e638168550f738d0d49f90a7ef96bf31787 in /
2021-04-14 19:19:39 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-06-10 18:19:29 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-07-23 12:50:15 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.8
2021-07-23 12:50:16 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.8
2021-07-23 12:50:16 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-07-23 12:50:18 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-07-23 12:50:26 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-07-23 12:50:27 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-07-23 12:50:28 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-07-23 12:50:28 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-07-23 12:50:28 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-07-23 12:50:29 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-07-23 12:50:29 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-07-23 12:50:29 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-07-23 12:50:29 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-07-23 12:50:29 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-07-30 22:35:57 UTC
39.5 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:740c950346cf39c85b52576998695c9b909c24a58a8bb1b64cce91fda3ef1d3a - 6.32% (2.5 MB)
[#001] sha256:1104d7cb1c39caad1c1c1d132bd637c2ee17a59d4dd067ecb69bcee13bcb87b3 - 0.0% (1.23 KB)
[#002] sha256:3ee5b578dafe1caa7bd9f9c30a135eed053d37045dcb1eb9bdcc0617548ee0a6 - 93.67% (37 MB)
[#003] sha256:7fcf12befb0b87b8bd4972e3a1c2d1e5e2b8a2b8fdee4142fbd68b339b8e07f9 - 0.0% (173 Bytes)
[#004] sha256:302fe55ac43b058597c2fae66c1642ab0ce401f3314dda0827e8671144147810 - 0.0% (153 Bytes)
[#005] sha256:ae8cc6edded108667cea46682ab1214b09ac723b92af6ae6dbe83bee353f6878 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:4479f0a51530e039edf231d87201896dcff908aa542a613cdccb015f93dda8a3 in /
2021-07-30 17:49:55 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-07-30 22:35:00 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-07-30 22:35:35 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.8
2021-07-30 22:35:36 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.8
2021-07-30 22:35:36 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-07-30 22:35:38 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-07-30 22:35:50 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-07-30 22:35:52 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-07-30 22:35:54 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-07-30 22:35:54 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-07-30 22:35:55 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-07-30 22:35:55 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-07-30 22:35:56 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-07-30 22:35:56 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-07-30 22:35:57 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-07-30 22:35:57 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-07-23 04:19:57 UTC
39.8 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:595b0fe564bb9444ebfe78288079a01ee6d7f666544028d5e96ba610f909ee43 - 6.5% (2.59 MB)
[#001] sha256:0b35a934ecade634b58bf55698d2b60aee4cec01f90f3a03e09672aea20b72fd - 0.0% (1.23 KB)
[#002] sha256:35566cf101e3ccb53cedd918658c3a2ff588b51f2bf4f4cd7ed6815b5bafdd8b - 93.49% (37.2 MB)
[#003] sha256:5d73309e97ec1ff077f4f37791464cb53d50f136398aaf28ab215f221879af03 - 0.0% (174 Bytes)
[#004] sha256:1bb22b284bb2cb30fcdecafcb5ea07c8af1795d1c2cbe66f050b4d12ea37425e - 0.0% (154 Bytes)
[#005] sha256:6cf077c858b328a39a43c0f9ed3cbe6bdc4194fa3d62f54ddee67e4fbcbd5c1e - 0.0% (1.66 KB)
/bin/sh -c #(nop) ADD file:ca9d8b5d1cc2f2186983fc6b9507da6ada5eb92f2b518c06af1128d5396c6f34 in /
2021-06-15 21:45:04 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-06-15 23:25:54 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-07-23 04:19:48 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.8
2021-07-23 04:19:48 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.8
2021-07-23 04:19:48 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-07-23 04:19:49 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-07-23 04:19:54 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-07-23 04:19:55 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-07-23 04:19:56 UTC|1 CONSUL_VERSION=1.9.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-07-23 04:19:56 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-07-23 04:19:56 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-07-23 04:19:56 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-07-23 04:19:56 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-07-23 04:19:57 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-07-23 04:19:57 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-07-23 04:19:57 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]